#ifndef __QGMAP_H__
#define __QGMAP_H__

#define IMAGE_SIZE 256

#define MIN(a,b) ((a)>(b)?(b):(a))
#define MAX(a,b) ((a)>(b)?(a):(b))

#define KEY_SCROLL 10
#define SHIFT_MUL 10

#ifdef QWS
#define APP_PATH "/opt/QtPalmtop/share/qgmap/"
#else
#define APP_PATH "./"
#endif

#define NOIMG_FILE APP_PATH "/noimage.png"
#define MENUIMG_FILE APP_PATH "/menuicon.png"
#define SLIDERIMG_FILE APP_PATH "/slider.png"
#define NOBIMG_FILE APP_PATH "/nob.png"

#define DEFAULT_MAP_PATH "/mnt/card/gm_lite/imgs"

#define PI 3.14159265358979
#define EARTH_RA 6378137
#define EARTH_RB 6356752

#define SCALE_MAX_SIZE 100
#define SCALE_FONT_SIZE 16

#endif // __QGMAP_H__
